# pluma
## summary
The text editor is a document editing tool that can quickly record text. You can use the text editor to quickly record and edit temporary content. It supports printing, document spell checking, document statistics, search and search.

## Open by
* "**start menu**"![](image/1.png) > "**text editor**![](image/2.png)";
* Right click in the blank space of the desktop > "**NEW** > "**empty text**" > "**open text**";
* "**taskbar**" > "**search**"![](image/3.png) > "**text editor**"![](image/4.png) > select **open**.

![pluma-Day Mode](image/5.png)

<br>

![pluma-Night mode](image/6.png)

## basic operation
Select "**text**" > "**NEW**"/"**open**" in the menu bar to create/open a document, or click "![](image/7.png)" in the status bar to create a new document and click "open" to open the document.

After clicking **view** in the menu bar, you can select whether to open **toolbar**, **status bar**, and **sidebar** as required.

When editing an open document, click **undo** to undo the last operation, and click **restore** to undo the last operation.

After selecting the content, click "![](image/8.png)" to cut the content, and click "![](image/9.png)" to copy the content; After selecting content, right-click to quickly perform **cut**/**copy** operations. You can also **delete** the selected content. Select **select all** to select all text content. Right click the cursor to select **paste**.

![pluma](image/10.png)

Select **insert drawing text** to open the drawing text selection window. Select the drawing text and insert it into the text.

![Insert drawing text](image/11.png)

After editing, select "**file**" > "**save**"/"**save as**" in the menu bar or click "![](image/12.png)" in the status bar to save the file.

Select "**file**" > "**print**" in the menu bar or click "![](image/13.png)" in the status bar to set printing related settings.

## menu bar

![Text editor menu bar](image/14.png)

The function description of the text editor menu bar is shown in the following table.

Text editor menu bar function description
<table>
    <tr>
        <th>First level menu</th><th>Secondary menu</th><th>describe</th>
    </tr>
    <tr>
        <td rowspan="9">file</td><td>newly build</td><td>Create a new text file</td>
    </tr>
    <tr>
        <td>open</td><td>Open a text file</td>
    </tr>
    <tr>
        <td>save</td><td>Save the contents of the current text file</td>
    </tr>
    <tr>
        <td>save as</td><td>Save the contents of the current text file to the specified path</td>
    </tr>
    <tr>
        <td>reduction</td><td>Restore to the text content before saving</td>
    </tr>
    <tr>
        <td>Print preview</td><td>Preview the paper content and style when printing in advance</td>
    </tr>
    <tr>
        <td>Print</td><td>Print current text</td>
    </tr>
    <tr>
        <td>close</td><td>Close the current text file</td>
    </tr>
    <tr>
        <td>sign out</td><td>Exit text editor</td>
    </tr>
    <tr>
        <td rowspan="9">Edit</td><td>undo</td><td>restore the previous operation</td>
    </tr>
    <tr>
        <td>Restore</td><td>restore to the previous operation, including undo content</td>
    </tr>
    <tr>
        <td>Cut</td><td>cut the selected text content</td>
    </tr>
    <tr>
        <td>Copy</td><td>copy the selected text content</td>
    </tr>
    <tr>
        <td>Paste</td><td>paste the selected text content into the current text file</td>
    </tr>
    <tr>
        <td>Delete</td><td>delete the selected text content</td>
    </tr>
    <tr>
        <td>Select all</td><td>select all</td>
    </tr>
    <tr>
        <td>Insert date and time</td><td>automatically enter the current date and time</td>
    </tr>
    <tr>
        <td>Preferences</td><td>set text editor default options</td>
    </tr>
    <tr>
        <td rowspan="6">View</td><td>toolbar</td><td>is the upper toolbar displayed</td>
    </tr>
    <tr>
        <td>Status bar</td><td>is the status bar below displayed</td>
    </tr>
    <tr>
        <td>Sidebar</td><td>whether to display the left sidebar, which is not displayed by default</td>
    </tr>
    <tr>
        <td>Bottom panel</td><td>do you want to display the bottom panel</td>
    </tr>
    <tr>
        <td>Full screen</td><td>full screen display text editor</td>
    </tr>
    <tr>
        <td>Highlight mode</td><td>change the display mode, including plain text, source code, scripts, tags, etc</td>
    </tr>
    <tr>
        <td rowspan="7">search</td><td>find</td><td>retrieve the content of a keyword</td>
    </tr>
    <tr>
        <td>Find next</td><td>find next keyword content location</td>
    </tr>
    <tr>
        <td>Find previous</td><td>find previous keyword content location</td>
    </tr>
    <tr>
        <td>Incremental search</td><td>keyword accumulation search</td>
    </tr>
    <tr>
        <td>Replace</td><td>replace text content</td>
    </tr>
    <tr>
        <td>Clear highlight</td><td>clear text highlight background</td>
    </tr>
    <tr>
        <td>Jump to the specified line</td><td>the cursor jumps to the specified number of lines</td>
    </tr>
    <tr>
        <td rowspan="4">tools</td><td>spell check</td><td>check the spelling of text</td>
    </tr>
    <tr>
        <td>Auto check spelling</td><td>set auto check spelling when entering text</td>
    </tr>
    <tr>
        <td>Set language</td><td>select the language of the current document</td>
    </tr>
    <tr>
        <td>Document statistics</td><td>statistics on the number of lines, word books, and characters of the current document</td>
    </tr>
    <tr>
        <td rowspan="5">document</td><td>save all</td><td>save all open text documents</td>
    </tr>
    <tr>
        <td>Close all</td><td>close all open text documents</td>
    </tr>
    <tr>
        <td>Previous document</td><td>displays the previous text document</td>
    </tr>
    <tr>
        <td>Next document</td><td>displays the next text document</td>
    </tr>
    <tr>
        <td>Move to new window</td><td>move the current text document to open in a new window</td>
    </tr>
</table>