# 文本编辑器
## 概述
文本编辑器是一款快速记录文字的文档编辑工具，您可以使用文本编辑器进行临时性内容的快速记录和编辑，支持打印、文档拼写检查、文档统计、搜索查找等功能。

## 打开方式
* “**开始菜单**”![](image/1.png) > “**文本编辑器**![](image/2.png)”;
* 桌面空白处单击右键 > “**新建**” > “**空文本**” > “**打开文本**”;
* “**任务栏**” > “**搜索**”![](image/3.png) > “**文本编辑器**”![](image/4.png) > 选择“**打开**”。

![图1 文本编辑器-日间模式](image/5.png)

<br>

![图2 文本编辑器-夜间模式](image/6.png)

## 基本操作
选择菜单栏中的“**文本**” > “**新建**”/“**打开**”可以新建/打开文档，或点击状态栏中的“![](image/7.png)”新建文档，点击“打开”打开文档。

点击菜单栏中的“**视图**”后根据需要可选择是否打开“**工具栏**”、“**状态栏**”和“**侧边栏**”。

在打开的文档中进行编辑时，点击“**撤销**”可以撤消上次操作，点击“**恢复**”可以恢复上次撤消的操作。

选中内容后点击“![](image/8.png)”一键剪切内容，点击“![](image/9.png)”一键复制内容；选中内容后单击右键也可以快速进行“**剪切**”/“**复制**”操作，还可以“**删除**”选中的内容，选择“**全选**”则选中全部文本内容。在光标所在处单击右键可选择“**粘贴**”内容。

![图3 文本编辑器](image/10.png)

选择“**插入绘文字**”将打开绘文字选择窗口，选中绘文字即可插入到文本中。

![图4 插入绘文字](image/11.png)

完成编辑后选择菜单栏中的“**文件**” > “**保存**”/“**另存为**”或点击状态栏中的“![](image/12.png)”保存文件。

选择菜单栏中的“**文件**” > “**打印**”或点击状态栏中的“![](image/13.png)”可进行打印相关设置。

## 菜单栏

![图5 文本编辑器菜单栏](image/14.png)

文本编辑器菜单栏功能说明如下表所示。

<table>
    <tr>
        <th>一级菜单</th><th>二级菜单</th><th>描述</th>
    </tr>
    <tr>
        <td rowspan="9">文件</td><td>新建</td><td>新创建一个文本文件</td>
    </tr>
    <tr>
        <td>打开</td><td>打开某一个文本文件</td>
    </tr>
    <tr>
        <td>保存</td><td>保存当前文本文件内容</td>
    </tr>
    <tr>
        <td>另存为</td><td>保存当前文本文件内容至指定路径</td>
    </tr>
    <tr>
        <td>还原</td><td>恢复至保存前的文本内容</td>
    </tr>
    <tr>
        <td>打印预览</td><td>提前预览打印时的纸张内容和样式</td>
    </tr>
    <tr>
        <td>打印</td><td>打印当前文本</td>
    </tr>
    <tr>
        <td>关闭</td><td>关闭当前文本文件</td>
    </tr>
    <tr>
        <td>退出</td><td>退出文本编辑器</td>
    </tr>
    <tr>
        <td rowspan="9">编辑</td><td>撤销</td><td>还原至上一步操作内容</td>
    </tr>
    <tr>
        <td>恢复</td><td>恢复至前一步操作，包括撤销内容</td>
    </tr>
    <tr>
        <td>剪切</td><td>剪切选中的文本内容</td>
    </tr>
    <tr>
        <td>复制</td><td>复制选中的文本内容</td>
    </tr>
    <tr>
        <td>粘贴</td><td>将选中的文本内容粘贴至当前文本文件</td>
    </tr>
    <tr>
        <td>删除</td><td>删除选中文本内容</td>
    </tr>
    <tr>
        <td>全选</td><td>全部选中</td>
    </tr>
    <tr>
        <td>插入日期和时间</td><td>自动输入当前日期和时间</td>
    </tr>
    <tr>
        <td>首选项</td><td>设置文本编辑器默认选项</td>
    </tr>
    <tr>
        <td rowspan="6">视图</td><td>工具栏</td><td>是否显示上方工具栏</td>
    </tr>
    <tr>
        <td>状态栏</td><td>是否显示下方状态栏</td>
    </tr>
    <tr>
        <td>侧边栏</td><td>是否显示左侧侧边栏，默认不显示</td>
    </tr>
    <tr>
        <td>底部面板</td><td>是否显示底部面板</td>
    </tr>
    <tr>
        <td>全屏</td><td>全屏显示文本编辑器</td>
    </tr>
    <tr>
        <td>突出显示模式</td><td>更改显示模式，包括纯文本、源代码、脚本、标记等</td>
    </tr>
    <tr>
        <td rowspan="7">搜索</td><td>查找</td><td>检索某一关键字内容</td>
    </tr>
    <tr>
        <td>查找下一个</td><td>查找下一个关键字内容位置</td>
    </tr>
    <tr>
        <td>查找上一个</td><td>查找上一个关键字内容位置</td>
    </tr>
    <tr>
        <td>增量搜索</td><td>关键字累加搜索</td>
    </tr>
    <tr>
        <td>替换</td><td>替换文本内容</td>
    </tr>
    <tr>
        <td>清除高亮</td><td>清除文本高亮背景</td>
    </tr>
    <tr>
        <td>跳转到指定行</td><td>光标跳转至指定行数</td>
    </tr>
    <tr>
        <td rowspan="4">工具</td><td>拼写检查</td><td>检查文本拼写的正确性</td>
    </tr>
    <tr>
        <td>自动检查拼写</td><td>设置输入文本时自动检查拼写</td>
    </tr>
    <tr>
        <td>设置语言</td><td>选择当前文档的语言</td>
    </tr>
    <tr>
        <td>文档统计</td><td>当前文档的行数、单词书、字符数等统计</td>
    </tr>
    <tr>
        <td rowspan="5">文档</td><td>全部保存</td><td>保存打开的所有文本文档</td>
    </tr>
    <tr>
        <td>全部关闭</td><td>关闭所有打开的文本文档</td>
    </tr>
    <tr>
        <td>上一个文档</td><td>显示上一个文本文档</td>
    </tr>
    <tr>
        <td>下一个文档</td><td>显示下一个文本文档</td>
    </tr>
    <tr>
        <td>移动到新窗口</td><td>移动当前文本文档在新窗口打开</td>
    </tr>
</table>
表1 文本编辑器菜单栏功能说明
